var map = new OpenLayers.Map({
    div: "map",
    controls: [
        new OpenLayers.Control.Navigation({
            dragPanOptions: {
                enableKinetic: true
            }
        }),
        new OpenLayers.Control.Attribution(),
		new OpenLayers.Control.Zoom({
            zoomInId: "customZoomIn",
            zoomOutId: "customZoomOut"
        })
    ],
    center: [0, 0]
});

// Capes bàsiques 

var null_layer = new OpenLayers.Layer("En blanc", {isBaseLayer: false, visibility: false}); 
   
var osm_online = new OpenLayers.Layer.MapServer(
  "Open Street Map On Line",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/osm_online.map',
   mode:'map',
   layers:'OSM'},
  {isBaseLayer: true}   );

var osm_local = new OpenLayers.Layer.MapServer(
  "Open Street Map local",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/osm_local.map',
   mode:'map',
   layers:'waterways'},
  {isBaseLayer: false, visibility: false}    );

var icc = new OpenLayers.Layer.MapServer(
  "ICC",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/icc.map',
   mode:'map',
   layers:'ICC'},
  {isBaseLayer: false, visibility: false}   );

var ign = new OpenLayers.Layer.MapServer(
  "IGN",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/ign.map',
   mode:'map',
   layers:'IGN'},
  {isBaseLayer: false, visibility: false}   );

var bluemarble = new OpenLayers.Layer.MapServer(
  "Blue Marble",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/bluemarble.map',
   mode:'map',
   layers:'BlueMarble'},
  {isBaseLayer: false, visibility: false}   );
  
var countries = new OpenLayers.Layer.MapServer(
  "Fronteres Països",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/countries.map',
   mode:'map',
   layers:'Countries'},
  {isBaseLayer: false, visibility: false}   );

map.addLayers([null_layer, osm_online, icc, ign, bluemarble, countries]);

// OWM

var owm1 = new OpenLayers.Layer.MapServer(
  "OWM Precipitació",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/owm.map',
   mode:'map',
   layers:'precipitation'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var owm2 = new OpenLayers.Layer.MapServer(
  "OWM Núvols",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/owm.map',
   mode:'map',
   layers:'clouds'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var owm3 = new OpenLayers.Layer.MapServer(
  "OWM Pressió atmosfèrica",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/owm.map',
   mode:'map',
   layers:'pressure'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var owm4 = new OpenLayers.Layer.MapServer(
  "OWM Temperatura",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/owm.map',
   mode:'map',
   layers:'temperature'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var owm5 = new OpenLayers.Layer.MapServer(
  "OWM Vent",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/owm.map',
   mode:'map',
   layers:'wind'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var owm6 = new OpenLayers.Layer.MapServer(
  "OWM Neu",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/owm.map',
   mode:'map',
   layers:'snow'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var owm7 = new OpenLayers.Layer.MapServer(
  "OWM Radar",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/owm.map',
   mode:'map',
   layers:'RADAR'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var owm8 = new OpenLayers.Layer.Vector.OWMWeather("OWM Oratge");

map.addLayers([owm1, owm2, owm3, owm4, owm5, owm6, owm7, owm8]);

// Atles Climàtic Digital de la Península Ibèrica (Miramon)

var miramon_pluvio_1 = new OpenLayers.Layer.WMS(
  "Miramon Pluvio 1",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=Pluvio",
  {layers:'clima_gener_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_pluvio_2 = new OpenLayers.Layer.WMS(
  "Miramon Pluvio 2",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=Pluvio",
  {layers:'clima_febrer_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_pluvio_3 = new OpenLayers.Layer.WMS(
  "Miramon Pluvio 3",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=Pluvio",
  {layers:'clima_marc_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_pluvio_4 = new OpenLayers.Layer.WMS(
  "Miramon Pluvio 4",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=Pluvio",
  {layers:'clima_abril_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_pluvio_5 = new OpenLayers.Layer.WMS(
  "Miramon Pluvio 5",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=Pluvio",
  {layers:'clima_maig_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_pluvio_6 = new OpenLayers.Layer.WMS(
  "Miramon Pluvio 6",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=Pluvio",
  {layers:'clima_juny_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_pluvio_7 = new OpenLayers.Layer.WMS(
  "Miramon Pluvio 7",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=Pluvio",
  {layers:'clima_juliol_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_pluvio_8 = new OpenLayers.Layer.WMS(
  "Miramon Pluvio 8",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=Pluvio",
  {layers:'clima_agost_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_pluvio_9 = new OpenLayers.Layer.WMS(
  "Miramon Pluvio 9",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=Pluvio",
  {layers:'clima_setembre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var miramon_pluvio_10 = new OpenLayers.Layer.WMS(
  "Miramon Pluvio 10",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=Pluvio",
  {layers:'clima_octubre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_pluvio_11 = new OpenLayers.Layer.WMS(
  "Miramon Pluvio 11",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=Pluvio",
  {layers:'clima_novembre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

  var miramon_pluvio_12 = new OpenLayers.Layer.WMS(
  "Miramon Pluvio 12",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=Pluvio",
  {layers:'clima_desembre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
map.addLayers([miramon_pluvio_1, miramon_pluvio_2, miramon_pluvio_3, miramon_pluvio_4, miramon_pluvio_5, miramon_pluvio_6, miramon_pluvio_7, miramon_pluvio_8, miramon_pluvio_9, miramon_pluvio_10, miramon_pluvio_11, miramon_pluvio_12]);

var miramon_rad_1 = new OpenLayers.Layer.WMS(
  "Miramon rad 1",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=rad",
  {layers:'clima_gener_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_rad_2 = new OpenLayers.Layer.WMS(
  "Miramon rad 2",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=rad",
  {layers:'clima_febrer_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_rad_3 = new OpenLayers.Layer.WMS(
  "Miramon rad 3",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=rad",
  {layers:'clima_marc_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_rad_4 = new OpenLayers.Layer.WMS(
  "Miramon rad 4",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=rad",
  {layers:'clima_abril_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_rad_5 = new OpenLayers.Layer.WMS(
  "Miramon rad 5",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=rad",
  {layers:'clima_maig_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_rad_6 = new OpenLayers.Layer.WMS(
  "Miramon rad 6",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=rad",
  {layers:'clima_juny_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_rad_7 = new OpenLayers.Layer.WMS(
  "Miramon rad 7",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=rad",
  {layers:'clima_juliol_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_rad_8 = new OpenLayers.Layer.WMS(
  "Miramon rad 8",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=rad",
  {layers:'clima_agost_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_rad_9 = new OpenLayers.Layer.WMS(
  "Miramon rad 9",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=rad",
  {layers:'clima_setembre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var miramon_rad_10 = new OpenLayers.Layer.WMS(
  "Miramon rad 10",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=rad",
  {layers:'clima_octubre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_rad_11 = new OpenLayers.Layer.WMS(
  "Miramon rad 11",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=rad",
  {layers:'clima_novembre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

  var miramon_rad_12 = new OpenLayers.Layer.WMS(
  "Miramon rad 12",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=rad",
  {layers:'clima_desembre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
map.addLayers([miramon_rad_1, miramon_rad_2, miramon_rad_3, miramon_rad_4, miramon_rad_5, miramon_rad_6, miramon_rad_7, miramon_rad_8, miramon_rad_9, miramon_rad_10, miramon_rad_11, miramon_rad_12]);
  

var miramon_TMin_1 = new OpenLayers.Layer.WMS(
  "Miramon TMin 1",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMin",
  {layers:'clima_gener_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMin_2 = new OpenLayers.Layer.WMS(
  "Miramon TMin 2",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMin",
  {layers:'clima_febrer_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMin_3 = new OpenLayers.Layer.WMS(
  "Miramon TMin 3",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMin",
  {layers:'clima_marc_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMin_4 = new OpenLayers.Layer.WMS(
  "Miramon TMin 4",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMin",
  {layers:'clima_abril_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMin_5 = new OpenLayers.Layer.WMS(
  "Miramon TMin 5",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMin",
  {layers:'clima_maig_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMin_6 = new OpenLayers.Layer.WMS(
  "Miramon TMin 6",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMin",
  {layers:'clima_juny_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMin_7 = new OpenLayers.Layer.WMS(
  "Miramon TMin 7",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMin",
  {layers:'clima_juliol_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMin_8 = new OpenLayers.Layer.WMS(
  "Miramon TMin 8",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMin",
  {layers:'clima_agost_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMin_9 = new OpenLayers.Layer.WMS(
  "Miramon TMin 9",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMin",
  {layers:'clima_setembre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var miramon_TMin_10 = new OpenLayers.Layer.WMS(
  "Miramon TMin 10",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMin",
  {layers:'clima_octubre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMin_11 = new OpenLayers.Layer.WMS(
  "Miramon TMin 11",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMin",
  {layers:'clima_novembre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

  var miramon_TMin_12 = new OpenLayers.Layer.WMS(
  "Miramon TMin 12",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMin",
  {layers:'clima_desembre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
map.addLayers([miramon_TMin_1, miramon_TMin_2, miramon_TMin_3, miramon_TMin_4, miramon_TMin_5, miramon_TMin_6, miramon_TMin_7, miramon_TMin_8, miramon_TMin_9, miramon_TMin_10, miramon_TMin_11, miramon_TMin_12]);


var miramon_TMax_1 = new OpenLayers.Layer.WMS(
  "Miramon TMax 1",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMax",
  {layers:'clima_gener_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMax_2 = new OpenLayers.Layer.WMS(
  "Miramon TMax 2",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMax",
  {layers:'clima_febrer_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMax_3 = new OpenLayers.Layer.WMS(
  "Miramon TMax 3",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMax",
  {layers:'clima_marc_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMax_4 = new OpenLayers.Layer.WMS(
  "Miramon TMax 4",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMax",
  {layers:'clima_abril_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMax_5 = new OpenLayers.Layer.WMS(
  "Miramon TMax 5",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMax",
  {layers:'clima_maig_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMax_6 = new OpenLayers.Layer.WMS(
  "Miramon TMax 6",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMax",
  {layers:'clima_juny_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMax_7 = new OpenLayers.Layer.WMS(
  "Miramon TMax 7",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMax",
  {layers:'clima_juliol_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMax_8 = new OpenLayers.Layer.WMS(
  "Miramon TMax 8",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMax",
  {layers:'clima_agost_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMax_9 = new OpenLayers.Layer.WMS(
  "Miramon TMax 9",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMax",
  {layers:'clima_setembre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var miramon_TMax_10 = new OpenLayers.Layer.WMS(
  "Miramon TMax 10",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMax",
  {layers:'clima_octubre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMax_11 = new OpenLayers.Layer.WMS(
  "Miramon TMax 11",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMax",
  {layers:'clima_novembre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

  var miramon_TMax_12 = new OpenLayers.Layer.WMS(
  "Miramon TMax 12",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMax",
  {layers:'clima_desembre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
map.addLayers([miramon_TMax_1, miramon_TMax_2, miramon_TMax_3, miramon_TMax_4, miramon_TMax_5, miramon_TMax_6, miramon_TMax_7, miramon_TMax_8, miramon_TMax_9, miramon_TMax_10, miramon_TMax_11, miramon_TMax_12]);


var miramon_TMit_1 = new OpenLayers.Layer.WMS(
  "Miramon TMit 1",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMit",
  {layers:'clima_gener_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMit_2 = new OpenLayers.Layer.WMS(
  "Miramon TMit 2",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMit",
  {layers:'clima_febrer_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMit_3 = new OpenLayers.Layer.WMS(
  "Miramon TMit 3",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMit",
  {layers:'clima_marc_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMit_4 = new OpenLayers.Layer.WMS(
  "Miramon TMit 4",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMit",
  {layers:'clima_abril_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMit_5 = new OpenLayers.Layer.WMS(
  "Miramon TMit 5",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMit",
  {layers:'clima_maig_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMit_6 = new OpenLayers.Layer.WMS(
  "Miramon TMit 6",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMit",
  {layers:'clima_juny_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMit_7 = new OpenLayers.Layer.WMS(
  "Miramon TMit 7",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMit",
  {layers:'clima_juliol_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMit_8 = new OpenLayers.Layer.WMS(
  "Miramon TMit 8",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMit",
  {layers:'clima_agost_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMit_9 = new OpenLayers.Layer.WMS(
  "Miramon TMit 9",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMit",
  {layers:'clima_setembre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var miramon_TMit_10 = new OpenLayers.Layer.WMS(
  "Miramon TMit 10",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMit",
  {layers:'clima_octubre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var miramon_TMit_11 = new OpenLayers.Layer.WMS(
  "Miramon TMit 11",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMit",
  {layers:'clima_novembre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

  var miramon_TMit_12 = new OpenLayers.Layer.WMS(
  "Miramon TMit 12",
  "http://www.opengis.uab.es/cgi-bin/iberia/MiraMon.cgi?VERSION%3D1.3.0&styles=TMit",
  {layers:'clima_desembre_i_iberia',transparent:true},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
map.addLayers([miramon_TMit_1, miramon_TMit_2, miramon_TMit_3, miramon_TMit_4, miramon_TMit_5, miramon_TMit_6, miramon_TMit_7, miramon_TMit_8, miramon_TMit_9, miramon_TMit_10, miramon_TMit_11, miramon_TMit_12]);

  
// World Clim Present
  
var prec1 = new OpenLayers.Layer.MapServer(
  "WC Prec 1",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_prec_10m_bil.map',
   mode:'map',
   layers:'prec1'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec2 = new OpenLayers.Layer.MapServer(
  "WC Prec 2",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_prec_10m_bil.map',
   mode:'map',
   layers:'prec2'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec3 = new OpenLayers.Layer.MapServer(
  "WC Prec 3",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_prec_10m_bil.map',
   mode:'map',
   layers:'prec3'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec4 = new OpenLayers.Layer.MapServer(
  "WC Prec 4",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_prec_10m_bil.map',
   mode:'map',
   layers:'prec4'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec5 = new OpenLayers.Layer.MapServer(
  "WC Prec 5",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_prec_10m_bil.map',
   mode:'map',
   layers:'prec5'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec6 = new OpenLayers.Layer.MapServer(
  "WC Prec 6",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_prec_10m_bil.map',
   mode:'map',
   layers:'prec6'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec7 = new OpenLayers.Layer.MapServer(
  "WC Prec 7",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_prec_10m_bil.map',
   mode:'map',
   layers:'prec7'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec8 = new OpenLayers.Layer.MapServer(
  "WC Prec 8",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_prec_10m_bil.map',
   mode:'map',
   layers:'prec8'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var prec9 = new OpenLayers.Layer.MapServer(
  "WC Prec 9",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_prec_10m_bil.map',
   mode:'map',
   layers:'prec9'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec10 = new OpenLayers.Layer.MapServer(
  "WC Prec 10",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_prec_10m_bil.map',
   mode:'map',
   layers:'prec10'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec11 = new OpenLayers.Layer.MapServer(
  "WC Prec 11",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_prec_10m_bil.map',
   mode:'map',
   layers:'prec11'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec12 = new OpenLayers.Layer.MapServer(
  "WC Prec 12",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_prec_10m_bil.map',
   mode:'map',
   layers:'prec12'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

map.addLayers([prec1, prec2, prec3, prec4, prec5, prec6, prec7, prec8, prec9, prec10, prec11, prec12]);


var tmean1 = new OpenLayers.Layer.MapServer(
  "WC tmean 1",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmean_10m_bil.map',
   mode:'map',
   layers:'tmean1'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmean2 = new OpenLayers.Layer.MapServer(
  "WC tmean 2",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmean_10m_bil.map',
   mode:'map',
   layers:'tmean2'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmean3 = new OpenLayers.Layer.MapServer(
  "WC tmean 3",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmean_10m_bil.map',
   mode:'map',
   layers:'tmean3'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmean4 = new OpenLayers.Layer.MapServer(
  "WC tmean 4",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmean_10m_bil.map',
   mode:'map',
   layers:'tmean4'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmean5 = new OpenLayers.Layer.MapServer(
  "WC tmean 5",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmean_10m_bil.map',
   mode:'map',
   layers:'tmean5'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmean6 = new OpenLayers.Layer.MapServer(
  "WC tmean 6",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmean_10m_bil.map',
   mode:'map',
   layers:'tmean6'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmean7 = new OpenLayers.Layer.MapServer(
  "WC tmean 7",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmean_10m_bil.map',
   mode:'map',
   layers:'tmean7'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmean8 = new OpenLayers.Layer.MapServer(
  "WC tmean 8",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmean_10m_bil.map',
   mode:'map',
   layers:'tmean8'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var tmean9 = new OpenLayers.Layer.MapServer(
  "WC tmean 9",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmean_10m_bil.map',
   mode:'map',
   layers:'tmean9'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmean10 = new OpenLayers.Layer.MapServer(
  "WC tmean 10",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmean_10m_bil.map',
   mode:'map',
   layers:'tmean10'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmean11 = new OpenLayers.Layer.MapServer(
  "WC tmean 11",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmean_10m_bil.map',
   mode:'map',
   layers:'tmean11'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmean12 = new OpenLayers.Layer.MapServer(
  "WC tmean 12",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmean_10m_bil.map',
   mode:'map',
   layers:'tmean12'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

map.addLayers([tmean1, tmean2, tmean3, tmean4, tmean5, tmean6, tmean7, tmean8, tmean9, tmean10, tmean11, tmean12]);


var tmin1 = new OpenLayers.Layer.MapServer(
  "WC tmin 1",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmin_10m_bil.map',
   mode:'map',
   layers:'tmin1'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin2 = new OpenLayers.Layer.MapServer(
  "WC tmin 2",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmin_10m_bil.map',
   mode:'map',
   layers:'tmin2'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin3 = new OpenLayers.Layer.MapServer(
  "WC tmin 3",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmin_10m_bil.map',
   mode:'map',
   layers:'tmin3'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin4 = new OpenLayers.Layer.MapServer(
  "WC tmin 4",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmin_10m_bil.map',
   mode:'map',
   layers:'tmin4'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin5 = new OpenLayers.Layer.MapServer(
  "WC tmin 5",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmin_10m_bil.map',
   mode:'map',
   layers:'tmin5'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin6 = new OpenLayers.Layer.MapServer(
  "WC tmin 6",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmin_10m_bil.map',
   mode:'map',
   layers:'tmin6'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin7 = new OpenLayers.Layer.MapServer(
  "WC tmin 7",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmin_10m_bil.map',
   mode:'map',
   layers:'tmin7'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin8 = new OpenLayers.Layer.MapServer(
  "WC tmin 8",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmin_10m_bil.map',
   mode:'map',
   layers:'tmin8'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var tmin9 = new OpenLayers.Layer.MapServer(
  "WC tmin 9",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmin_10m_bil.map',
   mode:'map',
   layers:'tmin9'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin10 = new OpenLayers.Layer.MapServer(
  "WC tmin 10",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmin_10m_bil.map',
   mode:'map',
   layers:'tmin10'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin11 = new OpenLayers.Layer.MapServer(
  "WC tmin 11",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmin_10m_bil.map',
   mode:'map',
   layers:'tmin11'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin12 = new OpenLayers.Layer.MapServer(
  "WC tmin 12",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmin_10m_bil.map',
   mode:'map',
   layers:'tmin12'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

map.addLayers([tmin1, tmin2, tmin3, tmin4, tmin5, tmin6, tmin7, tmin8, tmin9, tmin10, tmin11, tmin12]);


var tmax1 = new OpenLayers.Layer.MapServer(
  "WC tmax 1",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmax_10m_bil.map',
   mode:'map',
   layers:'tmax1'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax2 = new OpenLayers.Layer.MapServer(
  "WC tmax 2",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmax_10m_bil.map',
   mode:'map',
   layers:'tmax2'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax3 = new OpenLayers.Layer.MapServer(
  "WC tmax 3",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmax_10m_bil.map',
   mode:'map',
   layers:'tmax3'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax4 = new OpenLayers.Layer.MapServer(
  "WC tmax 4",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmax_10m_bil.map',
   mode:'map',
   layers:'tmax4'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax5 = new OpenLayers.Layer.MapServer(
  "WC tmax 5",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmax_10m_bil.map',
   mode:'map',
   layers:'tmax5'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax6 = new OpenLayers.Layer.MapServer(
  "WC tmax 6",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmax_10m_bil.map',
   mode:'map',
   layers:'tmax6'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax7 = new OpenLayers.Layer.MapServer(
  "WC tmax 7",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmax_10m_bil.map',
   mode:'map',
   layers:'tmax7'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax8 = new OpenLayers.Layer.MapServer(
  "WC tmax 8",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmax_10m_bil.map',
   mode:'map',
   layers:'tmax8'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var tmax9 = new OpenLayers.Layer.MapServer(
  "WC tmax 9",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmax_10m_bil.map',
   mode:'map',
   layers:'tmax9'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax10 = new OpenLayers.Layer.MapServer(
  "WC tmax 10",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmax_10m_bil.map',
   mode:'map',
   layers:'tmax10'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax11 = new OpenLayers.Layer.MapServer(
  "WC tmax 11",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmax_10m_bil.map',
   mode:'map',
   layers:'tmax11'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax12 = new OpenLayers.Layer.MapServer(
  "WC tmax 12",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_tmax_10m_bil.map',
   mode:'map',
   layers:'tmax12'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

map.addLayers([tmax1, tmax2, tmax3, tmax4, tmax5, tmax6, tmax7, tmax8, tmax9, tmax10, tmax11, tmax12]);

// World Clim 2050
  
var prec1_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 Prec 1",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_prec_10m.map',
   mode:'map',
   layers:'prec1'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec2_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 Prec 2",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_prec_10m.map',
   mode:'map',
   layers:'prec2'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec3_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 Prec 3",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_prec_10m.map',
   mode:'map',
   layers:'prec3'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec4_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 Prec 4",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_prec_10m.map',
   mode:'map',
   layers:'prec4'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec5_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 Prec 5",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_prec_10m.map',
   mode:'map',
   layers:'prec5'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec6_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 Prec 6",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_prec_10m.map',
   mode:'map',
   layers:'prec6'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec7_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 Prec 7",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_prec_10m.map',
   mode:'map',
   layers:'prec7'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec8_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 Prec 8",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_prec_10m.map',
   mode:'map',
   layers:'prec8'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec9_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 Prec 9",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_prec_10m.map',
   mode:'map',
   layers:'prec9'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec10_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 Prec 10",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_prec_10m.map',
   mode:'map',
   layers:'prec10'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec11_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 Prec 11",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_prec_10m.map',
   mode:'map',
   layers:'prec11'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var prec12_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 Prec 12",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_prec_10m.map',
   mode:'map',
   layers:'prec12'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

map.addLayers([prec1_2050, prec2_2050, prec3_2050, prec4_2050, prec5_2050, prec6_2050, prec7_2050, prec8_2050, prec9_2050, prec10_2050, prec11_2050, prec12_2050]);


var tmin1_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmin 1",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmin_10m.map',
   mode:'map',
   layers:'tmin1'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin2_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmin 2",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmin_10m.map',
   mode:'map',
   layers:'tmin2'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin3_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmin 3",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmin_10m.map',
   mode:'map',
   layers:'tmin3'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin4_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmin 4",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmin_10m.map',
   mode:'map',
   layers:'tmin4'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin5_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmin 5",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmin_10m.map',
   mode:'map',
   layers:'tmin5'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin6_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmin 6",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmin_10m.map',
   mode:'map',
   layers:'tmin6'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin7_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmin 7",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmin_10m.map',
   mode:'map',
   layers:'tmin7'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin8_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmin 8",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmin_10m.map',
   mode:'map',
   layers:'tmin8'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin9_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmin 9",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmin_10m.map',
   mode:'map',
   layers:'tmin9'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin10_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmin 10",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmin_10m.map',
   mode:'map',
   layers:'tmin10'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin11_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmin 11",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmin_10m.map',
   mode:'map',
   layers:'tmin11'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var tmin12_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmin 12",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmin_10m.map',
   mode:'map',
   layers:'tmin12'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

map.addLayers([tmin1_2050, tmin2_2050, tmin3_2050, tmin4_2050, tmin5_2050, tmin6_2050, tmin7_2050, tmin8_2050, tmin9_2050, tmin10_2050, tmin11_2050, tmin12_2050]);

var tmax1_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmax 1",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmax_10m.map',
   mode:'map',
   layers:'tmax1'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax2_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmax 2",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmax_10m.map',
   mode:'map',
   layers:'tmax2'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax3_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmax 3",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmax_10m.map',
   mode:'map',
   layers:'tmax3'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax4_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmax 4",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmax_10m.map',
   mode:'map',
   layers:'tmax4'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax5_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmax 5",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmax_10m.map',
   mode:'map',
   layers:'tmax5'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax6_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmax 6",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmax_10m.map',
   mode:'map',
   layers:'tmax6'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax7_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmax 7",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmax_10m.map',
   mode:'map',
   layers:'tmax7'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax8_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmax 8",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmax_10m.map',
   mode:'map',
   layers:'tmax8'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax9_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmax 9",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmax_10m.map',
   mode:'map',
   layers:'tmax9'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax10_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmax 10",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmax_10m.map',
   mode:'map',
   layers:'tmax10'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax11_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmax 11",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmax_10m.map',
   mode:'map',
   layers:'tmax11'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var tmax12_2050 = new OpenLayers.Layer.MapServer(
  "WC 2050 tmax 12",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2050_tmax_10m.map',
   mode:'map',
   layers:'tmax12'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

map.addLayers([tmax1_2050, tmax2_2050, tmax3_2050, tmax4_2050, tmax5_2050, tmax6_2050, tmax7_2050, tmax8_2050, tmax9_2050, tmax10_2050, tmax11_2050, tmax12_2050]);


// World Clim 2070
  
var prec1_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 Prec 1",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_prec_10m.map',
   mode:'map',
   layers:'prec1'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec2_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 Prec 2",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_prec_10m.map',
   mode:'map',
   layers:'prec2'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec3_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 Prec 3",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_prec_10m.map',
   mode:'map',
   layers:'prec3'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec4_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 Prec 4",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_prec_10m.map',
   mode:'map',
   layers:'prec4'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec5_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 Prec 5",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_prec_10m.map',
   mode:'map',
   layers:'prec5'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec6_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 Prec 6",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_prec_10m.map',
   mode:'map',
   layers:'prec6'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec7_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 Prec 7",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_prec_10m.map',
   mode:'map',
   layers:'prec7'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec8_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 Prec 8",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_prec_10m.map',
   mode:'map',
   layers:'prec8'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec9_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 Prec 9",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_prec_10m.map',
   mode:'map',
   layers:'prec9'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec10_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 Prec 10",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_prec_10m.map',
   mode:'map',
   layers:'prec10'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var prec11_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 Prec 11",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_prec_10m.map',
   mode:'map',
   layers:'prec11'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var prec12_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 Prec 12",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_prec_10m.map',
   mode:'map',
   layers:'prec12'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

map.addLayers([prec1_2070, prec2_2070, prec3_2070, prec4_2070, prec5_2070, prec6_2070, prec7_2070, prec8_2070, prec9_2070, prec10_2070, prec11_2070, prec12_2070]);


var tmin1_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmin 1",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmin_10m.map',
   mode:'map',
   layers:'tmin1'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin2_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmin 2",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmin_10m.map',
   mode:'map',
   layers:'tmin2'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin3_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmin 3",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmin_10m.map',
   mode:'map',
   layers:'tmin3'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin4_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmin 4",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmin_10m.map',
   mode:'map',
   layers:'tmin4'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin5_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmin 5",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmin_10m.map',
   mode:'map',
   layers:'tmin5'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin6_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmin 6",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmin_10m.map',
   mode:'map',
   layers:'tmin6'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin7_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmin 7",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmin_10m.map',
   mode:'map',
   layers:'tmin7'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin8_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmin 8",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmin_10m.map',
   mode:'map',
   layers:'tmin8'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin9_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmin 9",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmin_10m.map',
   mode:'map',
   layers:'tmin9'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin10_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmin 10",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmin_10m.map',
   mode:'map',
   layers:'tmin10'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmin11_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmin 11",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmin_10m.map',
   mode:'map',
   layers:'tmin11'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var tmin12_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmin 12",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmin_10m.map',
   mode:'map',
   layers:'tmin12'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

map.addLayers([tmin1_2070, tmin2_2070, tmin3_2070, tmin4_2070, tmin5_2070, tmin6_2070, tmin7_2070, tmin8_2070, tmin9_2070, tmin10_2070, tmin11_2070, tmin12_2070]);

var tmax1_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmax 1",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmax_10m.map',
   mode:'map',
   layers:'tmax1'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax2_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmax 2",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmax_10m.map',
   mode:'map',
   layers:'tmax2'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax3_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmax 3",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmax_10m.map',
   mode:'map',
   layers:'tmax3'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax4_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmax 4",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmax_10m.map',
   mode:'map',
   layers:'tmax4'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax5_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmax 5",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmax_10m.map',
   mode:'map',
   layers:'tmax5'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax6_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmax 6",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmax_10m.map',
   mode:'map',
   layers:'tmax6'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax7_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmax 7",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmax_10m.map',
   mode:'map',
   layers:'tmax7'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax8_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmax 8",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmax_10m.map',
   mode:'map',
   layers:'tmax8'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax9_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmax 9",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmax_10m.map',
   mode:'map',
   layers:'tmax9'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax10_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmax 10",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmax_10m.map',
   mode:'map',
   layers:'tmax10'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var tmax11_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmax 11",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmax_10m.map',
   mode:'map',
   layers:'tmax11'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var tmax12_2070 = new OpenLayers.Layer.MapServer(
  "WC 2070 tmax 12",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/worldclim_2070_tmax_10m.map',
   mode:'map',
   layers:'tmax12'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

map.addLayers([tmax1_2070, tmax2_2070, tmax3_2070, tmax4_2070, tmax5_2070, tmax6_2070, tmax7_2070, tmax8_2070, tmax9_2070, tmax10_2070, tmax11_2070, tmax12_2070]);

    
// NEO

var idate = new Date();
				iday = idate.getDate();
				imonth = idate.getMonth()+1;
				iyear = idate.getFullYear();
var current_date = iyear.toString() + "-" + imonth.toString() + "-" + iday.toString() + "T00:00:00Z";

var neo1 = new OpenLayers.Layer.WMS(
  "NEO CarbonMonoxide",
  "http://neowms.sci.gsfc.nasa.gov/wms/wms",
  {layers:'MOP_CO_M', time:current_date},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var neo2 = new OpenLayers.Layer.WMS(
  "NEO AerosolParticleRadius",
  "http://neowms.sci.gsfc.nasa.gov/wms/wms",
  {layers:'MODAL2_D_AER_RA', time:current_date},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var neo3 = new OpenLayers.Layer.WMS(
  "NEO Ozone",
  "http://neowms.sci.gsfc.nasa.gov/wms/wms",
  {layers:'AURA_OZONE_D', time:current_date},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var neo4 = new OpenLayers.Layer.WMS(
  "NEO WaterVapor",
  "http://neowms.sci.gsfc.nasa.gov/wms/wms",
  {layers:'MODAL2_D_SKY_WV', time:current_date},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var neo5 = new OpenLayers.Layer.WMS(
  "NEO SolarInsolation",
  "http://neowms.sci.gsfc.nasa.gov/wms/wms",
  {layers:'CERES_INSOL_D', time:current_date},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var neo6 = new OpenLayers.Layer.WMS(
  "NEO Albedo",
  "http://neowms.sci.gsfc.nasa.gov/wms/wms",
  {layers:'MCD43C3_E_BSA', time:current_date},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var neo7 = new OpenLayers.Layer.WMS(
  "NEO NetRadiation",
  "http://neowms.sci.gsfc.nasa.gov/wms/wms",
  {layers:'CERES_NETFLUX_D', time:current_date},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var neo8 = new OpenLayers.Layer.WMS(
  "NEO LongwaveRadiation",
  "http://neowms.sci.gsfc.nasa.gov/wms/wms",
  {layers:'CERES_LWFLUX_D', time:current_date},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

map.addLayers([neo1, neo2, neo3, neo4, neo5, neo6, neo7, neo8]);
  
 // Altres
 var osm_sp1 = new OpenLayers.Layer.MapServer(
  "OSM_SP waterways",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/osm_local_spain.map',
   mode:'map',
   layers:'waterways'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var osm_sp2 = new OpenLayers.Layer.MapServer(
  "OSM_SP roads",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/osm_local_spain.map',
   mode:'map',
   layers:'roads'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
var osm_sp3 = new OpenLayers.Layer.MapServer(
  "OSM_SP railways",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/osm_local_spain.map',
   mode:'map',
   layers:'railways'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

var osm_sp4 = new OpenLayers.Layer.MapServer(
  "OSM_SP points",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/osm_local_spain.map',
   mode:'map',
   layers:'points'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );

  
var osm_sp5 = new OpenLayers.Layer.MapServer(
  "OSM_SP places",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/osm_local_spain.map',
   mode:'map',
   layers:'places'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
  
var osm_sp6 = new OpenLayers.Layer.MapServer(
  "OSM_SP natural",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/osm_local_spain.map',
   mode:'map',
   layers:'natural'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
  
var osm_sp7 = new OpenLayers.Layer.MapServer(
  "OSM_SP landuse",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/osm_local_spain.map',
   mode:'map',
   layers:'landuse'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
  
var osm_sp8 = new OpenLayers.Layer.MapServer(
  "OSM_SP buildings",
  "http://192.168.1.105:8080/cgi-bin/mapserv.exe",
  {map:'C:/ms4w/apps/pfc/mapfiles/osm_local_spain.map',
   mode:'map',
   layers:'buildings'},
  {isBaseLayer: false, visibility: false, opacity: 0.8}   );
  
map.addLayers([osm_sp1, osm_sp2, osm_sp3, osm_sp4, osm_sp5, osm_sp6, osm_sp7, osm_sp8]); 

var nexrad = new OpenLayers.Layer.WMS(
   "Nexrad",
   "http://mesonet.agron.iastate.edu/cgi-bin/wms/nexrad/n0r-t.cgi?",
   {layers:"nexrad-n0r-wmst",transparent:true,format:'image/png',time:current_date});

map.addLayers([nexrad]); 

map.zoomToExtent(new OpenLayers.Bounds(-9.2879086, 36.011737, 4.3017212, 43.7393071));

