var timerMonthVar; // Temporitzador per a reproductor mensual
var timerDateVar;  // Temporitzador per a reproductor diari
var inAutomatic = false; // Capa activa permet reproductor
var baseLayer; // Capa base actual
var currentLayer; // Capa actual
var monthCurrent; // Mes seleccionat
var yearCurrent; // Any seleccionat
var dayCurrent; // Dia seleccionat
var daysPerMonth = [31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31]; // Dies que té cada mes

// Afegeix 0 a la esquerra de un nombre si necessari
function pad(number, length) {
   
    var str = '' + number;
    while (str.length < length) {
        str = '0' + str;
    }
   
    return str;
}

// Mostra/oculta la capa seleccionada
function showStaticLayer(check, name)
{
	$( "#player_month" ).hide();
	$( "#player_year" ).hide();
			
	if(inAutomatic)
	{
		inAutomatic = false;
		var num = map.getNumLayers();
		for (var i = num - 1; i >= 0; i--) 
			map.layers[i].setVisibility(false);	 
	}
	
	resetBaseLayer();
	
	var layer = map.getLayersByName(name)[0];
	
	if(document.getElementById(check).checked)
		layer.setVisibility(true);
	else
		layer.setVisibility(false);
	
};

// Canvia la capa base
function setBaseLayer(name)
{
    baseLayer = map.getLayersByName(name)[0];
    map.setBaseLayer(baseLayer);
    map.baseLayer.setVisibility(true);
};

// Reinicia capa base
function resetBaseLayer()
{
    map.setBaseLayer(baseLayer);
    map.baseLayer.setVisibility(true);
};

// Capes amb reproducció mensual. Canvia la capa i mes actius.
function setMonthLayer(index, layer)
{
	currentLayer = layer;
	changeMonth(index);
};

// Capes amb reproducció mensual. Canvia el mes actiu.
function changeMonth(index)
{
	monthCurrent = index;

	var pos = currentLayer.lastIndexOf(' ');
	var layerbase = currentLayer.substr(0, pos); 
	var layername = layerbase + ' ' + index.toString();
	
	$( "#player_year" ).hide();
	$( "#player_month" ).show();
	
	$("input:checkbox").prop('checked', false);
	document.getElementById('m'+index.toString()).checked = true;
	
	var num = map.getNumLayers();
	for (var i = num - 1; i >= 0; i--) 
		map.layers[i].setVisibility(false);
 
	resetBaseLayer();
 
    var layer = map.getLayersByName(layername)[0];
    layer.setVisibility(true);
	
	inAutomatic = true;
}

// Capes amb reproducció diaria. Canvia la capa i data activa.
function setDateLayer(year, month, day, layer)
{
	currentLayer = layer;
	changeDate(year, month, day);
}

// Capes amb reproducció diaria. Canvia la data activa.
function changeDate(year, month, day)
{
	monthCurrent = month;
	yearCurrent = year;
	dayCurrent = day;
	inAutomatic = true;
	
	$( "#player_year" ).show();
	$( "#player_month" ).hide();
	
	var num = map.getNumLayers();
	for (var i = num - 1; i >= 0; i--) 
		map.layers[i].setVisibility(false);
 
	resetBaseLayer();
 
    var layer = map.getLayersByName(currentLayer)[0];
    layer.setVisibility(true);

	$("input:checkbox").prop('checked', false);
	document.getElementById('my'+month.toString()).checked = true;	
	
	var date = pad(yearCurrent, 4) + "-" + pad(monthCurrent, 2) + "-" + pad(dayCurrent, 2) + "T00:00:00Z";

	layer.mergeNewParams({'time':date});	
	//layer.redraw(true);
};

// Capes amb reproducció diaria. Canvia el dia.
function changeDay()
{
	dayCurrent = parseInt($("#player_day_picker").val());
	changeDate(yearCurrent, monthCurrent, dayCurrent);
}

// Capes amb reproducció diaria. Canvia l'any.
function changeYear()
{
	yearCurrent = parseInt($( "#player_year_picker" ).val());
	changeDate(yearCurrent, monthCurrent, dayCurrent);
}

// Capes amb reproducció mensual. Canvia el mes automàticament.
function playerMonthTimer()
{
	monthCurrent += 1;
	
	if(monthCurrent == 13)
		monthCurrent = 1;
		
	changeMonth(monthCurrent);
}

// Capes amb reproducció mensual. Activa/desactiva el reproductor.
function toggleMonthPlayer(el)
{
    if(el.className!="pause")
    {
        el.src='img/pause.png';
        el.className="pause";
		
		timerMonthVar=setInterval(function(){playerMonthTimer()},5000);
    }
    else
    {
        el.src='img/play.png';
        el.className="play";
		
		window.clearInterval(timerMonthVar)
    }

    return false;
} 

// Capes amb reproducció diaria. Canvia la data automàticament.
function playerDateTimer()
{
	if(dayCurrent == daysPerMonth[monthCurrent-1])
	{
		dayCurrent = 1;

		monthCurrent += 1;
		
		if(monthCurrent == 13)
		{
			monthCurrent = 1;
			yearCurrent++;
		}	
	}
	else
		dayCurrent++;
		
	$( "#player_day_picker" ).val(dayCurrent);
	$( "#player_year_picker" ).val(yearCurrent);
				
	changeDate(yearCurrent, monthCurrent, dayCurrent);
}

// Capes amb reproducció diaria. Activa/desactiva el reproductor.
function toggleDatePlayer(el)
{
    if(el.className!="pause")
    {
        el.src='img/pause.png';
        el.className="pause";
		
		timerDateVar=setInterval(function(){playerDateTimer()},5000);
    }
    else
    {
        el.src='img/play.png';
        el.className="play";
		
		window.clearInterval(timerDateVar)
    }

    return false;
} 